%define major   6
%define libname %mklibname %{name} _%{major}
%define devname %mklibname %{name} -d

Name:           tinyxml2
Version:        6.2.0
Release:        %mkrel 3
Summary:        Simple, small and efficient C++ XML parser
Group:          System/Libraries
License:        zlib
URL:            http://www.grinninglizard.com/tinyxml2/
Source0:        https://github.com/leethomason/tinyxml2/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        FindTinyXML2.cmake

BuildRequires:  cmake
BuildRequires:  doxygen

%description
TinyXML-2 is a simple, small, efficient, C++ XML parser that can be
easily integrated into other programs. It uses a Document Object Model
(DOM), meaning the XML data is parsed into a C++ objects that can be
browsed and manipulated, and then written to disk or another output stream.

#------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          %{group}

%description -n %{libname}
TinyXML-2 is a simple, small, efficient, C++ XML parser that can be
easily integrated into other programs. It uses a Document Object Model
(DOM), meaning the XML data is parsed into a C++ objects that can be
browsed and manipulated, and then written to disk or another output stream.

TinyXML-2 doesn't parse or use DTDs (Document Type Definitions) nor XSLs
(eXtensible Stylesheet Language).

TinyXML-2 uses a similar API to TinyXML-1, But the implementation of the
parser was completely re-written to make it more appropriate for use in a
game. It uses less memory, is faster, and uses far fewer memory allocations.

%files -n      %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

#------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the libraries and header files that are needed
for writing applications with the %{name} library.

%files -n      %{devname}
%doc readme.md docs/*
%{_datadir}/cmake/Modules/FindTinyXML2.cmake
%{_includedir}/%{name}.h
%{_libdir}/cmake/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

# Build the documentation from the "dox" template
doxygen dox

%check
pushd build
export LD_LIBRARY_PATH=`pwd`
./xmltest
popd

%install
%cmake_install

# Install CMake find module
install -D -m644 %{_sourcedir}/FindTinyXML2.cmake \
    %{buildroot}%{_datadir}/cmake/Modules/FindTinyXML2.cmake


%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 6.2.0-3.mga8
+ Revision: 1517787
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 6.2.0-2.mga7
+ Revision: 1301421
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 6.2.0-1.mga7
+ Revision: 1229549
- Version 6.2.0

* Mon Jul 17 2017 akien <akien> 5.0.1-1.mga7
+ Revision: 1124262
- Version 5.0.1

* Fri Feb 12 2016 umeabot <umeabot> 3.0.0-2.mga6
+ Revision: 958992
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 akien <akien> 3.0.0-1.mga6
+ Revision: 839297
- Version 3.0.0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-5.mga5
+ Revision: 741801
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 689899
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 2.1.0-3.mga5
+ Revision: 661355
- Add cmake find module for TinyXML2

* Sun Aug 10 2014 akien <akien> 2.1.0-2.mga5
+ Revision: 661347
- Fix libname suffix by adding an underscore

* Sun Aug 10 2014 akien <akien> 2.1.0-1.mga5
+ Revision: 661334
- Build doxygen documentation
- import tinyxml2 based off the Fedora package

